
Packaging - Refactor #37334

Drop keycloak-httpd-client-install from EL9

04/09/2024 02:58 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: RPMs   

Target version:    

Difficulty:  Fixed in Releases: 3.11.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-d

ocumentation/pull/2970,

https://github.com/theforeman/foreman-p

ackaging/pull/10723

  

Description

EL 9 contains keycloak-httpd-client-install 1.1 which is new enough to provide all the features we need. Initially it was shipped

because EL7 contained keycloak-httpd-client-install 0.8 which lacked OIDC support, but EL8 contains 1.0 which is new enough.

That's broken due to https://issues.redhat.com/browse/RHEL-31496 while our version works. So it's easier to leave that be for now.

Since EL9 is a relatively new platform I'm proposing to drop our packaged version. It's newer than EL9 (version 1.2) and I propose to

tackle with a release note. Additionally we should care about this when upgrading through leapp.

Associated revisions

Revision 4726d83e - 04/17/2024 10:18 AM - Ewoud Kohl van Wijngaarden

Fixes #37334 - Drop keycloak-httpd-client-install from EL9

EL9 BaseOS contains a new enough version (1.1). Initially it was

packaged because EL7 only contained 0.8 which lacked OIDC support. EL8

is also new enough, but contains a bug

1

. EL9 support was only

introduced in Foreman 3.10 as experimental so there's probably still

only a small userbase to have it installed. A release note should

suffice.

[1]: https://issues.redhat.com/browse/RHEL-31496

Revision e4850dfb - 04/18/2024 05:38 AM - Evgeni Golov

Refs #37334 - Drop python3-keycloak-httpd-client-install from EL9

Fixes: 4726d83e32b36ffbeb70034be74a77a414f455cb

History

#1 - 04/09/2024 03:04 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-packaging/pull/10677 added

#2 - 04/17/2024 10:02 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/10719 added

#3 - 04/17/2024 10:18 AM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#4 - 04/17/2024 10:18 AM - The Foreman Bot

- Pull request deleted (https://github.com/theforeman/foreman-packaging/pull/10677, https://github.com/theforeman/foreman-packaging/pull/10719)
#5 - 04/17/2024 10:19 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/10720 added

#6 - 04/17/2024 10:20 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/10721 added

#7 - 04/17/2024 10:31 AM - The Foreman Bot

- Pull request deleted (https://github.com/theforeman/foreman-packaging/pull/10720, https://github.com/theforeman/foreman-packaging/pull/10721)

#8 - 04/17/2024 10:31 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-documentation/pull/2970 added

#9 - 04/17/2024 11:00 AM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset foreman-packaging|4726d83e32b36ffbeb70034be74a77a414f455cb.

#10 - 04/18/2024 05:37 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/10723 added
